#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <glib-object.h>

#include <gdk/gdk.h>
#include <gtk/gtk.h>

#include "nautilus-nutstore.h"

static GType provider_types[1];

/**
 * Nautilus extension mandatory functions:
 */
void
nautilus_module_initialize (GTypeModule  *module) 
{
    g_print ("Initializing nutstore extension\n");

    nautilus_nutstore_register_type (module);

    provider_types[0] = nautilus_nutstore_get_type ();

    // always enable file info work around
    enable_file_info_in_progress_workaround = TRUE;

    // check nautilus version to determine whether enable submenu workaround
    enable_submenu_workaround = (NAUTILUS_VERSION_MAJOR < 2 || 
            (NAUTILUS_VERSION_MAJOR == 2 && NAUTILUS_VERSION_MINOR <= 22));
}

void 
nautilus_module_shutdown (void)
{
    g_print ("Shutting down nutstore extension\n");
}

void
nautilus_module_list_types (const GType **types,
                int *num_types)
{
    g_print ("List nutstore extension types\n");

    *types = provider_types;
    *num_types = G_N_ELEMENTS (provider_types);
}
